1. QR รับแต้มท้ายใบเสร็จ
PointUpCRM Public API
  • ภาพรวมระบบ API
  • Authentication
  • QR รับแต้มท้ายใบเสร็จ
    • สร้าง QR Code ท้ายใบเสร็จ
      POST
    • สร้างยอดซื้อจาก POS
      POST
  • สมาชิก
    • ค้นหาสมาชิกด้วยเบอร์โทร หรือคำค้นทั่วไป
      GET
    • สร้างสมาชิกใหม่ หรืออัปเดตข้อมูลถ้ามีเบอร์นี้อยู่แล้ว
      POST
    • ดูข้อมูลสมาชิกรายคนด้วย member
      GET
  • แต้ม / แสตมป์ & ประวัติ
    • ยอดแต้ม/แสตมป์คงเหลือปัจจุบันของสมาชิก
      GET
    • รายการได้/ใช้แต้มล่าสุดของสมาชิก
      GET
    • ให้แต้มจากยอดขาย
      POST
  1. QR รับแต้มท้ายใบเสร็จ

สร้างยอดซื้อจาก POS

Developing
POST
/api/integrations/v1/earn

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/integrations/v1/earn' \
--header 'X-CRMPlus-Api-Key: {{apiKey}}' \
--header 'Content-Type: application/json' \
--data '{
  "phone": "1233333333",
  "externalRef": "POS-INV-0001",
  "purchaseAmountTHB": 500,
  "storeCode": "BRN01",
  "note": null,
  "occurredAt": null
}'
Response Response Example
{
    "ok": true,
    "duplicate": false,
    "memberId": "db995f3c-96c4-41bf-9411-4ae637b27a49",
    "ledgerId": "c2dfe0b3-36fe-4a6f-82aa-1aa258b5565e",
    "submissionId": "54de66ab-52aa-4206-94f3-098112577a2c",
    "externalRef": "POS-INV-0001",
    "purchaseAmountTHB": 500,
    "earnedUnits": 1,
    "balance": 11,
    "loyaltyMode": "Points",
    "unitLabel": "points",
    "ruleName": "ss"
}
Previous
สร้าง QR Code ท้ายใบเสร็จ
Next
ค้นหาสมาชิกด้วยเบอร์โทร หรือคำค้นทั่วไป
Built with